LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 10-27-2018, 12:44 PM   #1486
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,527

Original Poster
Rep: Reputation: Disabled

Quote:
Originally Posted by BW-userx View Post
is this not for ponce slackbuilds on current? I have never really had to every ask about issues with current, because Ive never really had them. title says
" SBo scripts not building on current (read 1st post, pls)"
so "read 1st post, pls", in particular where it says: "describe your problem here only if you are absolutely sure that it has nothing to do with your custom setup."
if you just said
Quote:
my last install of current, just a few days ago I had pcmanfm installed no issues.
it's clear that you did something wrong in this new installation and this is not the topic to discuss these kind of problems, I hope that I have been clear.

Last edited by ponce; 10-27-2018 at 01:14 PM.
 
Old 10-27-2018, 12:48 PM   #1487
BW-userx
LQ Guru
 
Registered: Sep 2013
Location: Somewhere in my head.
Distribution: Slackware (current), FreeBSD, Win10, It varies
Posts: 9,951

Rep: Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146
Quote:
Originally Posted by ponce View Post
so "read 1st post, pls", in particulare where it says: "describe your problem here only if you are absolutely sure that it has nothing to do with your custom setup."
if you just said

it's clear that you did something wrong in this new installation and this is not the topic to discuss these kind of problems, I hope that I have been clear.
I did something wrong? ok Let me do a reinstall from scratch and see if I still have this issue? I did something wrong?

install slack
change mirror to current
slackpkg update gpg
slackpkg update
slackpkg install-new
slackpkg upgrade-all

build and install slackbuilds
and I did something wrong?

MOD: bb ~20 ~30 minutes...

Last edited by BW-userx; 10-27-2018 at 12:54 PM.
 
Old 10-27-2018, 01:13 PM   #1488
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,527

Original Poster
Rep: Reputation: Disabled
you can also directly install current, Alien Bob provides iso for that

http://bear.alienbase.nl/mirrors/sla...4-current-iso/

this would help avoiding making mistakes during the upgrade (read the current changelog carefully neverthless).

Quote:
Originally Posted by BW-userx View Post
I did something wrong? ok Let me do a reinstall from scratch and see if I still have this issue? I did something wrong?

install slack
change mirror to current
slackpkg update gpg
slackpkg update
slackpkg install-new
slackpkg upgrade-all

build and install slackbuilds
and I did something wrong?

MOD: bb ~20 ~30 minutes...
if you're asking me about the mistakes you made above, in the steps you followed:
- you haven't done
Code:
slackpkg clean-system
- it doesn't show that you have read the changelog (you haven't removed the residual *.la files, if there were any in the paths noted in the changelog)

Last edited by ponce; 10-27-2018 at 01:28 PM.
 
Old 10-27-2018, 01:16 PM   #1489
BW-userx
LQ Guru
 
Registered: Sep 2013
Location: Somewhere in my head.
Distribution: Slackware (current), FreeBSD, Win10, It varies
Posts: 9,951

Rep: Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146Reputation: 2146
Quote:
Originally Posted by ponce View Post
you can also directly install current, Alien Bob provides iso for that

http://bear.alienbase.nl/mirrors/sla...4-current-iso/
thank you , as of this minute I am in a fresh install of slack, and am currently running "slackpkg install-new"
.. nope, thats done, next step...

dl Alien ios .. maybe see what that does, if this screws up again?

1hr DL time, I'll be done here by the time that gets done downloading.

Last edited by BW-userx; 10-27-2018 at 01:21 PM.
 
Old 10-30-2018, 02:20 PM   #1490
brodo
Member
 
Registered: Jan 2004
Location: Poland, Poznan
Distribution: Slackware current 32
Posts: 344

Rep: Reputation: 24
I have a problem compiling dmg2img:

Code:
 vfdecrypt.c: In function ‘apple_des3_ede_unwrap_key’:
vfdecrypt.c:215:18: error: storage size of ‘ctx’ isn’t known
   EVP_CIPHER_CTX ctx;
                  ^~~
vfdecrypt.c: In function ‘unwrap_v2_header’:
vfdecrypt.c:282:18: error: storage size of ‘ctx’ isn’t known
   EVP_CIPHER_CTX ctx;
                  ^~~
vfdecrypt.c: In function ‘main’:
vfdecrypt.c:449:3: warning: implicit declaration of function ‘HMAC_CTX_init’; did you mean ‘HMAC_CTX_new’? [-Wimplicit-function-declaration]
   HMAC_CTX_init(&hmacsha1_ctx);
   ^~~~~~~~~~~~~
   HMAC_CTX_new
vfdecrypt.c: At top level:
vfdecrypt.c:186:10: error: storage size of ‘hmacsha1_ctx’ isn’t known
 HMAC_CTX hmacsha1_ctx;
          ^~~~~~~~~~~~
make: *** [Makefile:20: vfdecrypt] Error 1
bash-4.4#
 
Old 10-30-2018, 02:54 PM   #1491
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,527

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by brodo View Post
I have a problem compiling dmg2img:

Code:
 vfdecrypt.c: In function ‘apple_des3_ede_unwrap_key’:
vfdecrypt.c:215:18: error: storage size of ‘ctx’ isn’t known
   EVP_CIPHER_CTX ctx;
                  ^~~
vfdecrypt.c: In function ‘unwrap_v2_header’:
vfdecrypt.c:282:18: error: storage size of ‘ctx’ isn’t known
   EVP_CIPHER_CTX ctx;
                  ^~~
vfdecrypt.c: In function ‘main’:
vfdecrypt.c:449:3: warning: implicit declaration of function ‘HMAC_CTX_init’; did you mean ‘HMAC_CTX_new’? [-Wimplicit-function-declaration]
   HMAC_CTX_init(&hmacsha1_ctx);
   ^~~~~~~~~~~~~
   HMAC_CTX_new
vfdecrypt.c: At top level:
vfdecrypt.c:186:10: error: storage size of ‘hmacsha1_ctx’ isn’t known
 HMAC_CTX hmacsha1_ctx;
          ^~~~~~~~~~~~
make: *** [Makefile:20: vfdecrypt] Error 1
bash-4.4#
you have to apply a patch to the SlackBuild (use "patch -p3 < /path/to/the/patch" from the SlackBuild directory) needed for the newer openssl.
 
Old 11-01-2018, 03:14 PM   #1492
USUARIONUEVO
Senior Member
 
Registered: Apr 2015
Posts: 1,442

Rep: Reputation: 454Reputation: 454Reputation: 454Reputation: 454Reputation: 454
Hi , john not build on current because try to link to openssl-1.1 and fails.

Need this extra to force to link to 1.0 openssl.


Quote:
export PKG_CONFIG_PATH=/usr/lib${LIBDIRSUFFIX}/openssl-1.0/pkgconfig
 
Old 11-01-2018, 04:30 PM   #1493
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,527

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by USUARIONUEVO View Post
Hi , john not build on current because try to link to openssl-1.1 and fails.

Need this extra to force to link to 1.0 openssl.
that's strange, I just tried to build it and it went fine: I don't think it links against openssl at all.
could it be you are trying to build a different version from the one that is used at SBo (like the jumbo one)?
 
Old 11-01-2018, 05:11 PM   #1494
USUARIONUEVO
Senior Member
 
Registered: Apr 2015
Posts: 1,442

Rep: Reputation: 454Reputation: 454Reputation: 454Reputation: 454Reputation: 454
Quote:
Originally Posted by ponce View Post
that's strange, I just tried to build it and it went fine: I don't think it links against openssl at all.
could it be you are trying to build a different version from the one that is used at SBo (like the jumbo one)?

ooops !!!

Yea , my fault , i build "jumbo" , cause have more extended features.

Sorry.
 
Old 11-02-2018, 06:32 AM   #1495
Tonus
Member
 
Registered: Jan 2007
Location: Paris, France
Distribution: Slackware-current
Posts: 669
Blog Entries: 3

Rep: Reputation: 175Reputation: 175
Hi there,

In libfilezilla.info, a typo in download link : http instead of https.

The link is https://download.filezilla-project.o...0.14.0.tar.bz2
 
Old 11-02-2018, 08:25 AM   #1496
orbea
Senior Member
 
Registered: Feb 2015
Distribution: Slackware64-current
Posts: 1,901

Rep: Reputation: Disabled
Tell the maintainer, this thread is for issues specific to current.
 
1 members found this post helpful.
Old 11-02-2018, 01:24 PM   #1497
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,527

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Tonus View Post
Hi there,

In libfilezilla.info, a typo in download link : http instead of https.

The link is https://download.filezilla-project.o...0.14.0.tar.bz2
I've just tried downloading it and it seems to work fine here.
 
1 members found this post helpful.
Old 11-03-2018, 04:03 PM   #1498
przemo
Member
 
Registered: Feb 2016
Location: cork.ie
Distribution: Slackware-current
Posts: 154

Rep: Reputation: Disabled
lightworks wont run on current

Code:
przemo@thinkbox.net [~] $ lightworks 
/usr/lib/lightworks/ntcardvt: error while loading shared libraries: libcrypto.so.10: cannot open shared object file: No such file or directory
przemo@thinkbox.net [~] $ lightworks 
/usr/lib64/lightworks/ntcardvt: error while loading shared libraries: libjpeg.so.8: cannot open shared object file: No such file or directory
i`ve tried symlink trick but got this error:
Code:
lightworks 
/usr/lib64/lightworks/ntcardvt: /usr/lib64/libjpeg.so.8: version `LIBJPEG_8.0' not found (required by /usr/lib64/lightworks/libOS.so)

Last edited by przemo; 11-03-2018 at 04:09 PM.
 
Old 11-03-2018, 06:12 PM   #1499
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 7,241

Rep: Reputation: 4932Reputation: 4932Reputation: 4932Reputation: 4932Reputation: 4932Reputation: 4932Reputation: 4932Reputation: 4932Reputation: 4932Reputation: 4932Reputation: 4932
Quote:
Originally Posted by przemo View Post
lightworks wont run on current
You could try 14.5 and see if the libs in there are new enough for -current.

Code:
https://downloads.lwks.com/v14-5-new/lightworks-14.5.0-amd64.deb
 
Old 11-03-2018, 07:12 PM   #1500
przemo
Member
 
Registered: Feb 2016
Location: cork.ie
Distribution: Slackware-current
Posts: 154

Rep: Reputation: Disabled
i did, but it is the same.
 
  


Reply

Tags
current, sbo, sbopkg, slackrepo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error building gst1-plugins-good 1.4.1 from SBO l0rddarkf0rce Slackware 4 10-06-2014 05:58 PM
[SOLVED] Failure building nvidia-kernel Slackbuild from SBo sysfce2 Slackware 7 07-02-2011 01:10 AM
problems building fontforge from SBo gtludwig Slackware 7 05-12-2010 01:52 PM
Pls help me take my 1st step! verysoon Fedora - Installation 2 12-12-2005 07:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 05:39 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration